Port-sparc64 archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: ofwboot versions and upgrading

matthew green <mrg%eterna.com.au@localhost> writes:

>    ofwboot kernel  status
>    3       3       works (my machine to be upgraded is fine)
>    4       4       works (another of my machines)
>    3       4       fails, kernel complains about bootinfo
>    4       3       ???
>    What I would like to know is:
>      If I put the netbsd-4 ofwboot in place on my netbsd-3 system, can I
>      still boot the netbsd-3 kernel (netbsd.ok) if I need to?
> this should work.
> if new ofwboot can't boot old netbsd, that seems like a bug to
> fix.

Since this is on a system that I can't get to, and I have to have
someone help me if I lose, I put the netbsd-4 /ofwboot in place and a
netbsd-4 kernel and rebooted, and it came back fine, and then I
installed netbsd-4 userland, and am happily running 4.0_STABLE.

Fortunately for me, this was my last netbsd-3 sparc64 box.  So this
doesn't confirm that netbsd-4 /ofwboot works with netbsd-3, and thus I
can't do the pullup without more testing that I'm not set up to do.

Thanks for the help.

Home | Main Index | Thread Index | Old Index